<?php require_once 'config.php';
/*
AssetTrackDB Copyright (C) 2015  Tyler Krehbiel (tylerk@gmail.com)

This file is part of AssetTrackDB.

AssetTrackDB is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

AssetTrackDB is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>.
*/

//SEND the backup
$message = '';

if(!empty($_POST["action"])){
 $action = $_POST["action"];

 if($action == "Download"){
    $data = '';
    $data  = shell_exec("mysqldump -u '$username' -p'$password' '$dbname'");


    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-disposition: attachment; filename=AssetTrackDB_backup.sql');
    header('Content-Length: '.strlen($data));
    echo $data;
    exit;
 }

  if($action == "Download Images"){
    $data = '';
    $data  = shell_exec("tar -cvzf AssetTrackDB_Image_Backup.tar.gz $uploc");



    header('Content-Description: File Transfer');
    header('Content-Type: application/octet-stream');
    header('Content-disposition: attachment; filename=AssetTrackDB_Image_Backup.tar.gz');
    header('Content-Length: '.strlen($data));
    echo $data;
    exit;
 }

  if($action == "Create Local"){
    $today = date("Y-m-d_H.i.s");


    $data = '';
    $data  = shell_exec("mysqldump -u '$username' -p'$password' '$dbname' > $fileloc/backups/$today.sql");
    $message = 'Local Backup Created';

  }

}




echo "<html>";
echo "<head><title>AssetTrackDB - Backup</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>";
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">';
echo "</head>";
echo "<body class=\"page_bg\">";



//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
include 'includes/lmenu.php';
//--END Menu Code--


echo "<br><b>";
echo '<div id=err>' . $message . '</div>';
echo '</b><br>';


//Disallow Read-Only Users Access to this page
if($rostate=='1' OR $sadminstate=='0')
    {
    echo "<center><div id=err>Non-Admin User: You do not have access to this page</div></center>";
    }
else {


echo "<center><div style='font-size: 20;font-weight:bold;'>Backup Data</div></center>";
echo "<br><br>";

//OLD METHOD ---
//$fileout = $fileloc . "/AssetTrackDB_backup.sql";

//Run output 
//shell_exec("mysqldump -u '$username' -p'$password' '$dbname' > '$fileout'");
//OLD METHOD ---

echo "<center>";
echo "<div><b>Download a copy of the AssetTrackDB Database:</b></div><BR>";
echo "<center>";

echo '<form action="" method="POST">';
echo '<input class="fancybuttonL" style="width:200px;" type="submit" value="Download" name="action"></p>';
echo '</form>';

echo "<BR><BR><center>";
echo "<span><b>Create Local Backup:</b></span>";
echo "<div>This creates a copy of the current database on the server.</div>";
echo "<center>";

echo '<form action="" method="POST"><BR>';
echo '<input class="fancybuttonL" style="width:200px;" type="submit" value="Create Local" name="action"></p>';
echo '</form>';




echo "<center><BR><BR>";
echo "<div><b>Download Images</b></div><BR>";
echo "<center>";

echo '<form action="" method="POST">';
echo '<input class="fancybuttonL" style="width:200px;" type="submit" value="Download Images" name="action"></p>';
echo '</form>';



/*
echo "<table borer=1><tr>";
echo '<td width=250 height=4 valign="top"><center><a target="_top" href="AssetTrackDB_backup.sql" style="text-decoration:none"><div class=fancybutton style="font-weight: normal; font-size: 110%; height:22;overflow:auto;"><b>AssetTrackDB_backup.sql</b></div></a></center></td>';
echo "</tr></table>";
*/


//Restore Upload

echo "<br><br>";echo "<br><br>"; 

echo "<center><div style='font-size: 20;font-weight:bold;'>Restore Database</div></center>";


echo '<br><br>';
echo '<table border=0><tbody><tr>';
echo '<form method="post" action="restore.php" enctype="multipart/form-data" name="form1">';
echo '<td style="text-align: center; background-color: #8A98F3;"><b>File:</b></td>';
echo '<td><input type="file" name="file" id="file"></td>';
echo '</tr><tr>';
echo '</tr></tbody></table>';

echo "<input type='hidden' value='no' name='Confirm' class='fancybuttonL'>";
echo "<br><input style='width:200px;' type='submit' value='Restore Database' name='submit' class='fancybuttonL'>";
echo '</form><br><br>';



echo "</center>"; 

} 


include 'includes/lfooter.php';
echo '</center></center>';
include 'includes/userinfo.php';

echo "</body>";
echo "</html>"; 


?>