<?php require_once 'config.php';

/* 
AssetTrackDB Copyright (C) 2013  Tyler Krehbiel (tylerk@gmail.com) 

This file is part of AssetTrackDB. 

AssetTrackDB is free software: you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation, either version 3 of the License, or 
(at your option) any later version. 

AssetTrackDB is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 

You should have received a copy of the GNU General Public License 
along with AssetTrackDB.  If not, see <http://www.gnu.org/licenses/>. 
*/ 

echo "<html><head><title>AssetTrackDB - Asset Export</title><script src='sorttable.js'></script><link rel='stylesheet' type='text/css' href='mystyle.css'/>"; 
echo '<link rel="icon" href="favicon.ico" type="image/x-icon">'; 
echo "</head><body>"; 

//--START Menu Code and PULL PHP
include 'includes/menu.php';
include 'includes/pull.php';
include 'includes/lmenu.php';
//--END Menu Code-- 

//Disallow Read-Only Users Access to this page
if($rostate==1 OR $sadminstate==0) 
    { 
        echo "<br><center><div id=err>Read Only / Non-Admin User: You do not have access to this page</div></center>"; 
    } 
else { 


$q_assets = "SELECT * FROM asset ORDER BY name ASC"; 
$q_retired = "SELECT * FROM asset_retired ORDER BY name ASC"; 
$q_disposed = "SELECT * FROM disposed ORDER BY name ASC"; 





$cnt1 = '0'; 



$report = "report_asset_export_$myusername.csv"; 
$now = time(); 
$age = null; 
$fh = fopen($report, 'w') or die("can't open file"); 
$result = mysqli_query($_SESSION["link"], $q_assets); 


//While Loop for Assets Table 
while($row = mysqli_fetch_array( $result )) { 
   
  if($cnt1 == '0'){ 
           $stringData = 'Bar Code'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Name'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Serial'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Age'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Model'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Brand'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Owner'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Form'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Use'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Status'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO User'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Bldg'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Room'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Purchased'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'OS'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Product Key'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Notes'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Created By'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Created'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Vendor'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Funding'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Cost'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Custom1'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Custom2'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Physical Location'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Update Time'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Updated By'.","; 
           fwrite($fh, $stringData); 

           $stringData = "\n"; 
           fwrite($fh, $stringData); 

  } 

        $stringData = '"' . $row['bar_code'] . '"' .","; 
        fwrite($fh, $stringData); 
        $stringData = '"' . $row['name'] . '"' .","; 
        fwrite($fh, $stringData); 
        $stringData = '"' . $row['serial'] . '"' .","; 
        fwrite($fh, $stringData); 

        //AGE CODE - Calculate Age 
        if ($row['pdate']=="0000-00-00" OR $row['pdate']=="") { 

        } 
        else { 
        $datep = strtotime($row['pdate']); 
           $datediff = $now - $datep; 
           $age = ($datediff / (60*60*24) / 365.24); 
           $age = number_format((float)$age, 2, '.', ''); 


        } 

    $stringData = $age.","; 
    fwrite($fh, $stringData); 
    $age = null; //RESET AGE FOR NEXT TIME AROUND THE LOOP 
        //END AGE Calculation CODE 
         

     
    $stringData = '"' . $row['model'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['brand'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['owner'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['form'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['use1'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        if ($row['co_status'] == '1'){ 
           $stringData = '"Yes"' .","; 
        } 
        else{ 
          $stringData = '"No"' .","; 
        } 
        fwrite($fh, $stringData); 
         
        if ($row['co_status'] == '1'){ 
          $te = $row['serial']; 
          $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
          $row2 = mysqli_fetch_array( $result1 ); 
          $cotemp = $row2['user']; 
          $stringData = '"' . $cotemp . '"' .","; 
          fwrite($fh, $stringData); 
        } 
        else{ 
         fwrite($fh, ""); 
        } 

        if($row['co_status'] == 1) { 

        $te = $row['serial']; 
                $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
                $cnt = "1"; 
                $row2 = mysqli_fetch_array( $result1 ); 
                  $buildingnu = $row2['building']; 
                $result2 = mysqli_query($_SESSION["link"], "SELECT name FROM building WHERE number='$buildingnu'"); 
                $row2 = mysqli_fetch_array( $result2 ); 
                        $stringData = '"' . $row2['name'] . '"' .","; 
                        fwrite($fh, $stringData); 


                } 
                else{ 
                $stringData = ","; 
                fwrite($fh, $stringData); 
                }; 

         
         
        if($row['co_status'] == 1) { 
            $te = $row['serial']; // Get Current Serial Number 
            //Get info from tracker table for the current serial number 
            $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
            $cnt = "1"; //INIT variable to 
            $row2 = mysqli_fetch_array( $result1 ); 
            $loc = $row2['location']; 
            $stringData = '"' . $loc . '"' .","; 
            fwrite($fh, $stringData); 
                                        } 
                else{ 
                $stringData = " ,,"; 
                fwrite($fh, $stringData); 
                }; 


        $stringData = '"' . $row['pdate'] . '"' .","; 
        fwrite($fh, $stringData); 

        $stringData = '"' . $row['os'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['produkey'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['notes'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['createdby'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['creation_date'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['vendor'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['funding'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['cost'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['custom1'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['custom2'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        if(!empty($row['phyloc'])) { 
          $qphy = "SELECT name FROM building where number = " . $row['phyloc']; 
          $resultphy = mysqli_query($_SESSION["link"], $qphy); 
          $rowphy = mysqli_fetch_array( $resultphy ); 
          $bld = $rowphy['name']; 
          } 
          else{$bld = '';} 
    $stringData = $bld.","; 
    fwrite($fh, $stringData); 


        $stringData = '"' . $row['updatetime'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['updateby'] . '"' .","; 
        fwrite($fh, $stringData); 
         
       $stringData = "\n"; 
    fwrite($fh, $stringData); 

    $cnt1++; 
} 


$report = "report_asset_retired_export_$myusername.csv"; 
$now = time(); 
$age = null; 
$fh = fopen($report, 'w') or die("can't open file"); 
$result = mysqli_query($_SESSION["link"], $q_retired); 
$cnt1 = '0'; 

//While Loop for RETIRED Assets Table 
while($row = mysqli_fetch_array( $result )) { 
   
  if($cnt1 == '0'){ 
           $stringData = 'Bar Code'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Name'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Serial'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Age'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Model'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Brand'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Owner'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Form'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Use'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Status'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO User'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Bldg'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Room'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Purchased'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'OS'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Product Key'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Notes'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Created By'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Created'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Vendor'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Funding'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Cost'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Custom1'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Custom2'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Physical Location'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Update Time'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Updated By'.","; 
           fwrite($fh, $stringData); 

           $stringData = "\n"; 
           fwrite($fh, $stringData); 

  } 

        $stringData = '"' . $row['bar_code'] . '"' .","; 
        fwrite($fh, $stringData); 
        $stringData = '"' . $row['name'] . '"' .","; 
        fwrite($fh, $stringData); 
        $stringData = '"' . $row['serial'] . '"' .","; 
        fwrite($fh, $stringData); 

        //AGE CODE - Calculate Age 
        if ($row['pdate']=="0000-00-00" OR $row['pdate']=="") { 

        } 
        else { 
        $datep = strtotime($row['pdate']); 
           $datediff = $now - $datep; 
           $age = ($datediff / (60*60*24) / 365.24); 
           $age = number_format((float)$age, 2, '.', ''); 


        } 

    $stringData = $age.","; 
    fwrite($fh, $stringData); 
    $age = null; //RESET AGE FOR NEXT TIME AROUND THE LOOP 
        //END AGE Calculation CODE 
         

     
    $stringData = '"' . $row['model'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['brand'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['owner'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['form'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['use1'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        if ($row['co_status'] == '1'){ 
           $stringData = '"Yes"' .","; 
        } 
        else{ 
          $stringData = '"No"' .","; 
        } 
        fwrite($fh, $stringData); 
         
        if ($row['co_status'] == '1'){ 
          $te = $row['serial']; 
          $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
          $row2 = mysqli_fetch_array( $result1 ); 
          $cotemp = $row2['user']; 
          $stringData = '"' . $cotemp . '"' .","; 
          fwrite($fh, $stringData); 
        } 
        else{ 
         fwrite($fh, ""); 
        } 

        if($row['co_status'] == 1) { 

        $te = $row['serial']; 
                $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
                $cnt = "1"; 
                $row2 = mysqli_fetch_array( $result1 ); 
                  $buildingnu = $row2['building']; 
                $result2 = mysqli_query($_SESSION["link"], "SELECT name FROM building WHERE number='$buildingnu'"); 
                $row2 = mysqli_fetch_array( $result2 ); 
                        $stringData = '"' . $row2['name'] . '"' .","; 
                        fwrite($fh, $stringData); 


                } 
                else{ 
                $stringData = ","; 
                fwrite($fh, $stringData); 
                }; 

         
         
        if($row['co_status'] == 1) { 
            $te = $row['serial']; // Get Current Serial Number 
            //Get info from tracker table for the current serial number 
            $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
            $cnt = "1"; //INIT variable to 
            $row2 = mysqli_fetch_array( $result1 ); 
            $loc = $row2['location']; 
            $stringData = '"' . $loc . '"' .","; 
            fwrite($fh, $stringData); 
                                        } 
                else{ 
                $stringData = ","; 
                fwrite($fh, $stringData); 
                }; 


        $stringData = '"' . $row['pdate'] . '"' .","; 
        fwrite($fh, $stringData); 

        $stringData = '"' . $row['os'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['produkey'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['notes'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['createdby'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['creation_date'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['vendor'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['funding'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['cost'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['custom1'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['custom2'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        if(!empty($row['phyloc'])) { 
          $qphy = "SELECT name FROM building where number = " . $row['phyloc']; 
          $resultphy = mysqli_query($_SESSION["link"], $qphy); 
          $rowphy = mysqli_fetch_array( $resultphy ); 
          $bld = $rowphy['name']; 
          } 
          else{$bld = '';} 
    $stringData = $bld.","; 
    fwrite($fh, $stringData); 


        $stringData = '"' . $row['updatetime'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['updateby'] . '"' .","; 
        fwrite($fh, $stringData); 
         
       $stringData = "\n"; 
    fwrite($fh, $stringData); 

    $cnt1++; 
} 



$report = "report_asset_disposed_export_$myusername.csv"; 
$now = time(); 
$age = null; 
$fh = fopen($report, 'w') or die("can't open file"); 
$result = mysqli_query($_SESSION["link"], $q_disposed); 
$cnt1 = '0'; 

//While Loop for DISPOSED Assets Table 
while($row = mysqli_fetch_array( $result )) { 
   
  if($cnt1 == '0'){ 
           $stringData = 'Bar Code'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Name'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Serial'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Age'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Model'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Brand'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Owner'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Form'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Use'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Status'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO User'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Bldg'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'CO Room'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Purchased'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'OS'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Product Key'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Notes'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Created By'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Created'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Vendor'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Funding'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Cost'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Custom1'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Custom2'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Physical Location'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Update Time'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Updated By'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Dispose Date'.","; 
           fwrite($fh, $stringData); 
           $stringData = 'Dispose Reason'.","; 
           fwrite($fh, $stringData); 



           $stringData = "\n"; 
           fwrite($fh, $stringData); 

  } 

        $stringData = '"' . $row['bar_code'] . '"' .","; 
        fwrite($fh, $stringData); 
        $stringData = '"' . $row['name'] . '"' .","; 
        fwrite($fh, $stringData); 
        $stringData = '"' . $row['serial'] . '"' .","; 
        fwrite($fh, $stringData); 

        //AGE CODE - Calculate Age 
        if ($row['pdate']=="0000-00-00" OR $row['pdate']=="") { 

        } 
        else { 
        $datep = strtotime($row['pdate']); 
           $datediff = $now - $datep; 
           $age = ($datediff / (60*60*24) / 365.24); 
           $age = number_format((float)$age, 2, '.', ''); 


        } 

    $stringData = $age.","; 
    fwrite($fh, $stringData); 
    $age = null; //RESET AGE FOR NEXT TIME AROUND THE LOOP 
        //END AGE Calculation CODE 
         

     
    $stringData = '"' . $row['model'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['brand'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['owner'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['form'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['use1'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        if ($row['co_status'] == '1'){ 
           $stringData = '"Yes"' .","; 
        } 
        else{ 
          $stringData = '"No"' .","; 
        } 
        fwrite($fh, $stringData); 
         
        if ($row['co_status'] == '1'){ 
          $te = $row['serial']; 
          $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
          $row2 = mysqli_fetch_array( $result1 ); 
          $cotemp = $row2['user']; 
          $stringData = '"' . $cotemp . '"' .","; 
          fwrite($fh, $stringData); 
        } 
        else{ 
         fwrite($fh, ""); 
        } 

        if($row['co_status'] == 1) { 

        $te = $row['serial']; 
                $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
                $cnt = "1"; 
                $row2 = mysqli_fetch_array( $result1 ); 
                  $buildingnu = $row2['building']; 
                $result2 = mysqli_query($_SESSION["link"], "SELECT name FROM building WHERE number='$buildingnu'"); 
                $row2 = mysqli_fetch_array( $result2 ); 
                        $stringData = '"' . $row2['name'] . '"' .","; 
                        fwrite($fh, $stringData); 


                } 
                else{ 
                $stringData = ","; 
                fwrite($fh, $stringData); 
                }; 

         
         
        if($row['co_status'] == 1) { 
            $te = $row['serial']; // Get Current Serial Number 
            //Get info from tracker table for the current serial number 
            $result1 = mysqli_query($_SESSION["link"], "SELECT * FROM tracker WHERE serial='$te' ORDER BY creation_date DESC"); 
            $cnt = "1"; //INIT variable to 
            $row2 = mysqli_fetch_array( $result1 ); 
            $loc = $row2['location']; 
            $stringData = '"' . $loc . '"' .","; 
            fwrite($fh, $stringData); 
                                        } 
                else{ 
                $stringData = ","; 
                fwrite($fh, $stringData); 
                }; 


        $stringData = '"' . $row['pdate'] . '"' .","; 
        fwrite($fh, $stringData); 

        $stringData = '"' . $row['os'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['produkey'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['notes'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['createdby'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['creation_date'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['vendor'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['funding'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['cost'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['custom1'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['custom2'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        if(!empty($row['phyloc'])) { 
          $qphy = "SELECT name FROM building where number = " . $row['phyloc']; 
          $resultphy = mysqli_query($_SESSION["link"], $qphy);
          $rowphy = mysqli_fetch_array( $resultphy ); 
          $bld = $rowphy['name']; 
          } 
          else{$bld = ',';} 
    $stringData = $bld.","; 
    fwrite($fh, $stringData); 


        $stringData = '"' . $row['updatetime'] . '"' .","; 
        fwrite($fh, $stringData); 
         
        $stringData = '"' . $row['updateby'] . '"' .","; 
        fwrite($fh, $stringData); 
         

    $stringData = '"' . $row['ddate'] . '"' .","; 
    fwrite($fh, $stringData); 
     
    if(!empty($row['dreason'])) { 
          $data1 = $row['dreason']; 
          } 
          else{$data1 = 'NA';} 

    $stringData = '"' . $data1 . '"' .","; 
    fwrite($fh, $stringData); 



        $stringData = "\n"; 
    fwrite($fh, $stringData); 

    $cnt1++; 
} 
         



echo "<center>"; 



echo "<br><table borer=1><tr>"; 
echo "<td width=250 height=4 valign='top'><center><a target='_top' href='report_asset_export_$myusername.csv' style='text-decoration:none'><div class=fancybutton style='font-weight: normal; font-size: 110%; height:22;overflow:auto;'><b>Download All Assets</b></div></a></center></td>"; 
echo "</tr></table>"; 

echo "<br><table borer=1><tr>"; 
echo "<td width=250 height=4 valign='top'><center><a target='_top' href='report_asset_retired_export_$myusername.csv' style='text-decoration:none'><div class=fancybutton style='font-weight: normal; font-size: 110%; height:22;overflow:auto;'><b>Download All Retired Assets</b></div></a></center></td>"; 
echo "</tr></table>"; 

echo "<br><table borer=1><tr>"; 
echo "<td width=250 height=4 valign='top'><center><a target='_top' href='report_asset_disposed_export_$myusername.csv' style='text-decoration:none'><div class=fancybutton style='font-weight: normal; font-size: 110%; height:22;overflow:auto;'><b>Download All Disposed Assets</b></div></a></center></td>"; 
echo "</tr></table>";

echo "<BR><BR><BR><BR><BR><BR>"; 

} 


include 'includes/lfooter.php';
echo '</center></center>';
include 'includes/userinfo.php';


echo "</body>";
echo "</html>";

?>